> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udcheckbox.md).

# New-UDCheckBox

### Sinopsis

Crea una casilla de verificación.

### Sintaxis

```powershell
New-UDCheckBox [[-Label] <String>] [[-Icon] <Object>] [[-CheckedIcon] <Object>] [[-OnChange] <Endpoint>] [[-Style] <Hashtable>] [[-Disabled]] [[-Checked] <Boolean>] [[-ClassName] <String>] [[-LabelPlacement] <String>] [[-Id] <String>] [[-Size] <String>] [-Color <String>] [-Indeterminate] [<CommonParameters>]
```

### Descripción

Crea una casilla de verificación. Las casillas de verificación se pueden utilizar en formularios o por sí mismas.

### Parámetros

#### -Label

La etiqueta que se muestra junto a la casilla de verificación.

```
Required?                    false
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon El icono que se muestra en lugar del icono predeterminado. Utilice New-UDIcon para crear un icono.Required?                    falsePosition?                    2Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-CheckedIcon El icono que se muestra en lugar del icono predeterminado de marcado. Utilice New-UDIcon para crear un icono.Required?                    falsePosition?                    3Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-OnChangeSe llama cuando cambia el valor de la casilla de verificación. La variable $EventData tendrá el valor actual de la casilla de verificación.Required?                    falsePosition?                    4Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-StyleUna tabla hash de estilos que aplicar a la casilla de verificación.Required?                    falsePosition?                    5Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -Disabled \[\<SwitchParameter>]        Whether the checkbox is disabled.Required?                    falsePosition?                    6Default value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false-CheckedSi la casilla de verificación está marcada.Required?                    falsePosition?                    7Default value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ClassNameUna clase CSS que asignar a la casilla de verificación.Required?                    falsePosition?                    8Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-LabelPlacementDónde colocar la etiqueta. Los valores válidos son: "top","start","bottom","end"Required?                    falsePosition?                    8Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-IdEl ID del componente. Su valor predeterminado es un GUID aleatorio.Required?                    falsePosition?                    9Default value                (\[Guid]::NewGuid()).ToString()Accept pipeline input?       falseAliasesAccept wildcard characters?  false-SizeEl tamaño de la casilla de verificación. Los valores válidos son: "small", "medium"Required?                    falsePosition?                    10Default value                mediumAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ColorEl color del tema que aplicar a este componenteRequired?                    falsePosition?                    namedDefault value                defaultAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -Indeterminate \[\<SwitchParameter>]        Whether the checkbox is in an indeterminate state. This is a visual state only and does not affect the value of the checkbox.Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Salidas--------------------------> EJEMPLO 1 --------------------------PS >New-UDCheckbox -Label 'Demo' -Id 'checkbox1'Basic checkbox|A basic checkbox.-------------------------- EXAMPLE 2 --------------------------PS >New-UDCheckbox -Label 'Demo' -Disabled -Id 'checkbox2'Disabled checkbox|A disabled checkbox.-------------------------- EXAMPLE 3 --------------------------PS >New-UDCheckbox -Label 'Demo' -Checked $true -Id 'checkbox3'Checked checkbox|A checked checkbox.-------------------------- EXAMPLE 4 --------------------------PS >New-UDCheckbox -Label 'Demo' -Icon (New-UDIcon -Icon 'user') -CheckedIcon (New-UDIcon -Icon 'check') -Id 'checkbox4'Checkbox with custom icons|A checkbox with custom icons.-------------------------- EXAMPLE 5 --------------------------PS >New-UDCheckbox -Label 'Demo' -OnChange {PS >     Show-UDToast -Title 'Checkbox' -Message $BodyPS > } -Id 'checkbox5'Checkbox with OnChange|A checkbox with an OnChange event.-------------------------- EXAMPLE 6 --------------------------PS >New-UDCheckbox -Label 'Demo' -LabelPlacement 'top' -Id 'checkbox6'Checkbox with label on top|A checkbox with the label on top.-------------------------- EXAMPLE 7 --------------------------PS >New-UDCheckbox -Label 'Demo' -Color 'secondary' -Id 'checkbox7'Checkbox with secondary color|A checkbox with the secondary color.-------------------------- EXAMPLE 8 --------------------------PS >New-UDCheckbox -Label 'Demo' -Id 'checkbox8' -IndeterminateCheckbox in indeterminate state|A checkbox in an indeterminate state.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udcheckbox.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
